/**
 * classe Voiture
 * @author Matthias Colin
 * @version 1.0 (9/06/2009)
 */

import java.awt.Color;

public class Voiture implements java.io.Serializable {

	// numéro de série de la classe pour sérialisation
	private static long serialVersionUID = 123456789L;

	// propriétés de la voiture
	private Color couleur; 
	private String marque;
	private String modele;

	/**
	 * constructeur de la classe Voiture
	 * @param couleur la couleur de la voiture
	 * @param marque la marque de la voiture
	 * @param modele le modèle de la voiture
	 */
	public Voiture(Color couleur, String marque, String modele) {
		this.couleur = couleur;
		this.marque = marque;
		this.modele = modele;
	}

	/**
	 * maj de la couleur de la voiture
	 * @param couleur la nouvelle couleur
	 */
	public void setCouleur(Color couleur) {
		this.couleur = couleur;
	}

	/**
	 * obtenir la couleur de la voiture
	 * @return la couleur
	 */
	public Color getCouleur() {
		return this.couleur;
	}

	/**
	 * maj de la marque de la voiture
	 * @param marque la nouvelle marque
	 */
	public void setMarque(String marque) {
		this.marque = marque;
	}

	/**
	 * obtenir la marque de la voiture
	 * @return la marque
	 */
	public String getMarque() {
		return this.marque;
	}

	/**
	 * maj du modèle de la voiture
	 * @param modèle le nouveau modèle
	 */
	public void setModele(String modele) {
		this.modele = modele;
	}

	/**
	 * obtenir le modèle de la voiture
	 * @return le modèle
	 */
	public String getModele() {
		return this.modele;
	}

	/**
	 * pour faire accélérer la voiture
	 */
	public void accelerer() {
		System.out.println("accélération d'une voiture normale");
	}

	/**
	 * représentation d'une voiture sous la forme d'une chaîne de caractères
	 * @return la chaîne représentant la voiture
	 */
	public String toString() {
		return marque + " " + modele + " de couleur " + couleur;
	}

}
